// JavaScript Document

jQuery(document).ready(function ($) {

        $(document).ready(function () {
                // hide title tooltips

                $("a").hover(function () {
                        $(this).attr("tooltip-data", $(this).attr("title"));
                        $(this).removeAttr("title");
                }, function () {
                        $(this).attr("title", $(this).attr("tooltip-data"));
                        $(this).removeAttr("tooltip-data");
                });

                $("img").hover(function () {
                        $(this).attr("tooltip-data", $(this).attr("title"));
                        $(this).removeAttr("title");
                }, function () {
                        $(this).attr("title", $(this).attr("tooltip-data"));
                        $(this).removeAttr("tooltip-data");
                });

                $('#btn-newsletter').click(function () {
                        $(".modal").show();
                        $(".modal-dialog").animate({
                                top: "+=50"
                        });
                        /*$("#popnews").show();
                         */
                });

                $('.modal-header .close').hover(function () {
                        $(this).css('opacity,1')

                });

                $('.modal-header .close').click(function () {
                        $(".modal").fadeOut();

                });

                $('#disqus_thread').load(function () {
                        var item0 = $("iframe")[0];
                        $('#disqus_thread').find(item0).css("display", "none !important");
                })

                $(".search-input").each(function () {
                        $(this).attr("aria-label", "Campo de busca");
                });

                $(window).load(function () {
                        var item1 = $("iframe")[0];
                        $('#disqus_thread').find(item1).css("display", "none !important");
                });


        }); // end document ready

        setInterval(() => {
                $.each($('iframe'), (arr, x) => {
                        let src = $(x).attr('src');
                        if (src && src.match(/(ads-iframe)|(disqusads)/gi)) {
                                $(x).remove();
                        }
                });
        }, 300);


}) // EOF  
